function initLabel = assignLabel( decisionValue,train_target,labelNumVec )
%
% Solve the ground-truth label assignment optimization problem (OP7)
%
[label_num,ins_num] = size(decisionValue);
cost = decisionValue.*(train_target);
cost(train_target==0) = -1e5;
cvx_begin quiet
    variable y(label_num,ins_num);
    maximize(sum(sum(cost.*y)));
     subject to
     sum(y)==ones(1,ins_num);
     sum(y,2) == labelNumVec;
     y>=0;
cvx_end
[~,initLabel] = max(y);
initLabel = initLabel';
end

